; iotest.asm - keyboard read - write char example
;
; modification history
; date...... programmer... desciption..............
; 2012-01-16 j.m.reneau    original coding
; 2012-02-12 j.m.reneau    changed for ca65 (part of the cc65 suite)
;

; wozmon entry points
PRBYTE = $ffdc
CHOUTA = $ffef
KBD = $d010
KBDCR = $d011
DSP = $d012
DSPCR = $d013

.org $300

main: ; read a char and display
 ; bail once user hits esc
 ; setup of DSP from the WOZMON
 cld ; from wozmon to reset input
 cli
 ldy #$7f
 sty DSP ; setup the DSP
 lda #$a7
 sta KBDCR ; enable interrupts set CA1, CB1 for
 sta DSPCR ; positive edge sense / output mode
 lda #$8d ; show prompt
 jsr CHOUTA
 lda #('?'+$80)
 jsr CHOUTA
waitforkey: nop
 lda KBDCR
 bpl waitforkey
 lda KBD ; get key stroke
 cmp #$9b ; is the esc key?
 beq endit
 jsr CHOUTA ; display it
 jsr PRBYTE ; show the 2 dig hex
 jmp waitforkey
endit: lda #('B'+$80)
 jsr CHOUTA
 lda #('Y'+$80)
 jsr CHOUTA
 lda #('E'+$80)
 jsr CHOUTA
 rts
