; faux1_win_installer.nsi
; Modification History
; date...... programmer... description...
; 2012-02-20 j.m.reneau    original coding

!include nsDialogs.nsh

Var VERSION
Var VERSIONDATE
var customDialog
var customLabel0
var customLabel1
var customImage
var customImageHandle

Function .onInit
  StrCpy $VERSION "0.95.5"
  StrCpy $VERSIONDATE "2012-02-21"
FunctionEnd

Function customPage

	nsDialogs::Create /NOUNLOAD 1018
	Pop $customDialog

	${If} $customDialog == error
		Abort
	${EndIf}

	${NSD_CreateBitmap} 0 0 100% 100% ""
	Pop $customImage
	${NSD_SetImage} $customImage \images\a1r1_logo_75.png $customImageHandle

	${NSD_CreateLabel} 50 0 80% 10% "faux1 $VERSION ($VERSIONDATE)"
	Pop $customLabel0
	${NSD_CreateLabel} 0 50 100% 80% "This installer will load faux1.  Previous versions will be overwritten and any saved files will be preserved."
	Pop $customLabel1

	nsDialogs::Show
FunctionEnd


; The name of the installer
Name "faux1 $VERSION ($VERSIONDATE)"

; The file to write
OutFile "faux1-$VERSION_Win32_Install.exe"

; The default installation directory
InstallDir $PROGRAMFILES\faux1

; Registry key to check for directory (so if you install again, it will 
; overwrite the old one automatically)
InstallDirRegKey HKLM "Software\faux1" "Install_Dir"

; Request application privileges for Windows Vista
RequestExecutionLevel admin

InstType "Full"
InstType "Minimal"
;--------------------------------

; Pages

Page custom customPage "" ": faux1 Welcome"
Page license
LicenseData "LICENSE"
Page components
Page directory
Page instfiles

UninstPage uninstConfirm
UninstPage instfiles

;--------------------------------

; The stuff to install
Section "faux1"

  SectionIn 1 2 RO
  
  SetOutPath $INSTDIR
  
  File faux1.exe
  File C:\QtSDK\mingw\bin\mingwm10.dll
  File AUTHORS
  File CHANGELOG
  File LICENSE
  File README

  ; need the rom folder and all files in it
  File /r /x ".hg" /x ".svn" rom

  ; Write the installation path into the registry
  WriteRegStr HKLM SOFTWARE\faux1 "Install_Dir" "$INSTDIR"
  
  ; Write the uninstall keys for Windows
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\faux1" "DisplayName" "BASIC-256"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\faux1" "UninstallString" '"$INSTDIR\uninstall.exe"'
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\faux1" "NoModify" 1
  WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\faux1" "NoRepair" 1
  WriteUninstaller "uninstall.exe"
  
SectionEnd

; Start Menu Shrtcuts (can be disabled by the user)
Section "Start Menu Shortcuts"
  SectionIn 1
  SetOutPath $INSTDIR 
  CreateDirectory "$SMPROGRAMS\faux1"
  CreateShortCut "$SMPROGRAMS\faux1\faux1.lnk" "$INSTDIR\faux1.exe" "" "$INSTDIR\faux1.exe" 0
  CreateShortCut "$SMPROGRAMS\faux1\Uninstall.lnk" "$INSTDIR\uninstall.exe" "" "$INSTDIR\uninstall.exe" 0
SectionEnd


; Examples (can be disabled by the user)
Section "Sample Applications"
  SectionIn 1
  SetOutPath $INSTDIR
  File /r /x ".hg" /x ".svn" apps
SectionEnd

;--------------------------------

; Uninstaller

Section "Uninstall"
  
  ; Remove registry keys
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\faux1"
  DeleteRegKey HKLM SOFTWARE\faux1

  ; Remove files and uninstaller
  Delete $INSTDIR\faux1.exe
  Delete $INSTDIR\mingwm10.dll
  Delete $INSTDIR\AUTHORS
  Delete $INSTDIR\CHANGELOG
  Delete $INSTDIR\LICENSE
  Delete $INSTDIR\README
  RMDir /r $INSTDIR\rom
  RMDir /r $INSTDIR\apps
  Delete $INSTDIR\uninstall.exe

  ; Remove shortcuts, if any
  Delete "$SMPROGRAMS\faux1\*.*"

  ; Remove directories used
  RMDir "$SMPROGRAMS\faux1"
  RMDir "$INSTDIR"

SectionEnd
